> ## Documentation Index
> Fetch the complete documentation index at: https://docs.timbal.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List channels

> List notification channels for the organization.

All notification channels for the org. Any org member may call.


## OpenAPI

````yaml GET /orgs/{org_id}/notifications/channels
openapi: 3.1.0
info:
  title: Timbal Platform API
  description: Public API documentation for the Timbal platform
  license:
    name: ''
  version: 2.0.0
servers:
  - url: https://api.timbal.ai
    description: Production
  - url: https://api.dev.timbal.ai
    description: Development
security: []
tags:
  - name: ace
    description: Action Control Engine (ACE) operations
  - name: analytics
    description: Project analytics
  - name: billing
    description: Subscriptions, usage, and payment-related operations
  - name: content
    description: Re-sign stored content URLs
  - name: files
    description: File operations
  - name: iam
    description: IAM — actions, roles, users, and authorization introspection
  - name: k2
    description: Knowledge Bases v2 operations
  - name: orgs
    description: Organization operations
  - name: projects
    description: Project operations
  - name: runs
    description: Execution operations
  - name: templates
    description: Public project template catalog
  - name: users
    description: Authenticated user profile
paths:
  /orgs/{org_id}/notifications/channels:
    get:
      tags:
        - notifications
      summary: List notification channels for the org
      description: List notification channels for the organization.
      operationId: list_org_notification_channels
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Channels for the org
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListOrgNotificationChannelsResBody'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
      security:
        - bearer_auth: []
components:
  schemas:
    ListOrgNotificationChannelsResBody:
      type: object
      title: ListOrgNotificationChannelsResponse
      required:
        - channels
      properties:
        channels:
          type: array
          items:
            $ref: '#/components/schemas/NotificationChannelOut'
    ErrorMessage:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          description: Machine-readable error code (e.g. `ALREADY_EXISTS`, `BAD_REQUEST`).
        message:
          type: string
          description: Human-readable description.
    NotificationChannelOut:
      type: object
      required:
        - id
        - type
        - config
      properties:
        config:
          type: object
        id:
          type: integer
          format: int64
        name:
          type:
            - string
            - 'null'
        type:
          $ref: '#/components/schemas/NotificationChannelType'
    NotificationChannelType:
      type: string
      enum:
        - email
        - slack
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      description: >-
        Timbal API key. Obtain your API key from the Timbal platform settings.
        See [Authentication](/api-reference/authentication) for more
        information.

````